Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.dynamiccon
Interface DynamicConnectionService

    public interface DynamicConnectionService

Dynamic connection service.
All dynamic connections information are provider by DynamicConnectionProvider (see `DynamicConnectionProvider`).

When run a report

1. For Advanced Run & Schedule Run, get available dynamic connections for the log-in user, catalog and data sources by call `getAvailableDynamicConnections(String, String, int, String)`
   , to let the end-user select one from available dynamic connections
2. In report runtime, get the dynamic connection selected by the end-user or one default by call `getDynamicConnection(String, String, int, String, String)`

Method Summary
`DynamicConnection[]` | `getAvailableDynamicConnections(java.lang.String userName, java.lang.String catalog, int catVerNumber, java.lang.String datasource)` Gets available dynamic connections to let end-user select one from them (Advanced Run & Schedule Run).
`DynamicConnection[]` | `getAvailableDynamicConnections(java.lang.String userName, java.lang.String catalog, int catVerNumber, java.lang.String datasource, DynamicConnection originalCatConnection)` Gets available dynamic connections to let end-user select one from them (Advanced Run & Schedule Run).
`DynamicConnection[]` | `getAvailableDynamicConnections(java.lang.String userName, java.lang.String catalog, int catVerNumber, java.lang.String datasource, java.lang.String connName)`
`DynamicConnection[]` | `getAvailableDynamicConnections(java.lang.String userName, java.lang.String catalog, int catVerNumber, java.lang.String datasource, java.lang.String connName, DynamicConnection originalCatConnection)`
`DynamicConnection` | `getDynamicConnection(java.lang.String userName, java.lang.String catalog, int catVerNumber, java.lang.String datasource, java.lang.String dynamicConnectionId)` Gets the dynamic connection for report runtime with the specified dynamic connection identifier, or choose a dynamic connection from available connections (if without specified `dynamicConnectionId`).``
`DynamicConnection` | `getDynamicConnection(java.lang.String userName, java.lang.String catalog, int catVerNumber, java.lang.String datasource, java.lang.String dynamicConnectionId, DynamicConnection originalCatConnection)` Gets the dynamic connection for report runtime with the specified dynamic connection identifier, or choose a dynamic connection from available connections (if without specified `dynamicConnectionId`).``
`DynamicConnection` | `getDynamicConnection(java.lang.String userName, java.lang.String catalog, int catVerNumber, java.lang.String datasource, java.lang.String connName, java.lang.String dynamicConnectionId)`
`DynamicConnection` | `getDynamicConnection(java.lang.String userName, java.lang.String catalog, int catVerNumber, java.lang.String datasource, java.lang.String connName, java.lang.String dynamicConnectionId, DynamicConnection originalCatConnection)`

Method Detail

### getAvailableDynamicConnections

    DynamicConnection[] getAvailableDynamicConnections(java.lang.String userName,
                                                       java.lang.String catalog,
                                                       int catVerNumber,
                                                       java.lang.String datasource)
                                                       throws RptServerException

  Gets available dynamic connections to let end-user select one from them (Advanced Run & Schedule Run).

  Parameters:
    `userName` - the server logon userName
    `catalog` - the catalog resource path
    `catVerNumber` - the catalog version number, -1 means latest version.
    `datasource` - the datasoruce name in the catalog
  Returns:
    array of dyanmic connection, null if there is not any dynamic connection.
  Throws:
    `RptServerException` - catalog not exists.

### getAvailableDynamicConnections

    DynamicConnection[] getAvailableDynamicConnections(java.lang.String userName,
                                                       java.lang.String catalog,
                                                       int catVerNumber,
                                                       java.lang.String datasource,
                                                       java.lang.String connName)
                                                       throws RptServerException

  Throws:
    `RptServerException`

### getAvailableDynamicConnections

    DynamicConnection[] getAvailableDynamicConnections(java.lang.String userName,
                                                       java.lang.String catalog,
                                                       int catVerNumber,
                                                       java.lang.String datasource,
                                                       DynamicConnection originalCatConnection)
                                                       throws RptServerException

  Gets available dynamic connections to let end-user select one from them (Advanced Run & Schedule Run).

  Parameters:
    `userName` - the server logon userName
    `catalog` - the catalog resource path
    `catVerNumber` - the catalog version number, -1 means latest version.
    `datasource` - the datasoruce name in the catalog
    `originalCatConnection` - the original connection information which defined in the catalog, must not be null.
  Returns:
    array of dyanmic connection, null if there is not any dynamic connection.
  Throws:
    `RptServerException` - catalog not exists.

### getAvailableDynamicConnections

    DynamicConnection[] getAvailableDynamicConnections(java.lang.String userName,
                                                       java.lang.String catalog,
                                                       int catVerNumber,
                                                       java.lang.String datasource,
                                                       java.lang.String connName,
                                                       DynamicConnection originalCatConnection)
                                                       throws RptServerException

  Throws:
    `RptServerException`

### getDynamicConnection

    DynamicConnection getDynamicConnection(java.lang.String userName,
                                           java.lang.String catalog,
                                           int catVerNumber,
                                           java.lang.String datasource,
                                           java.lang.String dynamicConnectionId)
                                           throws RptServerException

  Gets the dynamic connection for report runtime with the specified dynamic connection identifier, or choose a dynamic connection from available connections (if without specified `dynamicConnectionId`).

  ``
  Parameters:
    `userName` - the server logon userName
    `catalog` - the catalog resource path
    `catVerNumber` - the catalog version number
    `datasource` - the datasource name in the catalog
    `dynamicConnectionId` - the dynamic connection identifier, `null` to get default dynamic connection(for Direct Run)
  Returns:
    the dynamic connection, `null` the specified dynamicConnectionId not exists or there is not any dynamic connections.
  Throws:
    `RptServerException` - catalog not exists, user not exists.

### getDynamicConnection

    DynamicConnection getDynamicConnection(java.lang.String userName,
                                           java.lang.String catalog,
                                           int catVerNumber,
                                           java.lang.String datasource,
                                           java.lang.String connName,
                                           java.lang.String dynamicConnectionId)
                                           throws RptServerException

  Throws:
    `RptServerException`

### getDynamicConnection

    DynamicConnection getDynamicConnection(java.lang.String userName,
                                           java.lang.String catalog,
                                           int catVerNumber,
                                           java.lang.String datasource,
                                           java.lang.String dynamicConnectionId,
                                           DynamicConnection originalCatConnection)
                                           throws RptServerException

  Gets the dynamic connection for report runtime with the specified dynamic connection identifier, or choose a dynamic connection from available connections (if without specified `dynamicConnectionId`).

  ``
  Parameters:
    `userName` - the server logon userName
    `catalog` - the catalog resource path
    `catVerNumber` - the catalog version number
    `datasource` - the datasource name in the catalog
    `dynamicConnectionId` - the dynamic connection identifier, `null` to get default dynamic connection(for Direct Run)
    `originalCatConnection` - the original connection information which defined in the catalog, must not be null.
  Returns:
    the dynamic connection, `null` the specified dynamicConnectionId not exists or there is not any dynamic connections.
  Throws:
    `RptServerException` - catalog not exists, user not exists.

### getDynamicConnection

    DynamicConnection getDynamicConnection(java.lang.String userName,
                                           java.lang.String catalog,
                                           int catVerNumber,
                                           java.lang.String datasource,
                                           java.lang.String connName,
                                           java.lang.String dynamicConnectionId,
                                           DynamicConnection originalCatConnection)
                                           throws RptServerException

  Throws:
    `RptServerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD